%
% A generic example
%
%
clear;
%
% cxi is the damping ratio of the poles of M(s).
%
% n1 is the number of flexible modes. The state-space order of M(s) is 2*n1.
%
% n2 is the number of inputs/outputs of M(s), i.e. the global size of the uncertainty block Delta.
%
n1=30;
n2=30;
blk=[-10 0;-10 0;-8 0;2 2]; blk=[blk ones(4,1)];
cxi=rand(n1,1)/10;

A=zeros(2*n1,2*n1);
for i=1:n1
  omega=i;
  i1=2*i-1;
  i2=2*i;
  A(i1,i1)=0;
  A(i1,i2)=1;
  A(i2,i1)=-omega*omega;
  A(i2,i2)=-2*cxi(i)*omega;
end
B=[];
for i=1:(2*n1)
  for j=1:n2
    B(i,j)=i+j;
  end
end
C=[];
for i=1:n2
  for j=1:(2*n1)
    C(i,j)=i*j;
  end
end
D=zeros(n2,n2);
%
% This is just to obtain peak mu values, which are not too far from unity
%
sys=ss(A,B,C,D);
qqq=dcgain(sys);
qqq=norm(qqq);
C=C/qqq;
D=D/qqq;
%
sys_M=ss(A,B,C,D);
%
save generic_rep_unc sys_M blk