%
% Computation of the standard interconnection structure M(s) - Delta for
% robust stability of a closed loop rigid airplane.
%
% The 14 uncertainties are ordered as:
%
% Ybeta Yp Yr Ydp Ydr Lbeta Lp Lr Ldp Ldr Nbeta Np Nr Ndr
%
% A weighting factor is introduced on the uncertainties,
% so that a normalized parametric uncertainty inside [-1,1] corresponds
% to +/- 10 % on the true parameter.
%
% See for further details:
% G. Ferreres,
% "A pratical approach for robustness analysis with aeronautical applications",
% Kluwer Academic/Plenum Publishers, 1999.
%
clear;
%
load rigid_airplane_lft;
%
[a,b,c,d]=linmod('rigid_airplane_closed_loop');
sys_M=ss(a,b,c,d);
%
fprintf('\n\n Poles of the nominal closed loop:\n');
damp(a);
%
save rigid_airplane_m_delta sys_M blk;
 