function blk_lmi=calc_blk(blk)
%
% call:  blk_lmi=calc_blk(blk)
%
% blk = description of the structured model perturbation
%
% blk_lmi = equivalent description for the LMI Control Toolbox
%
% When it exists, the third column of blk is not accounted for.
% type "uinfo(blk_lmi)" to read the structure of the model perturbation.
%
% Skew Mu Toolbox - G. Ferreres and J.M. Biannic, Onera-DCSD Toulouse, France.
%
if nargin~=1 error('CALC_BLK : 1 input argument'); end
%
blk_lmi=[];
%
for i=1:size(blk,1)
  qqq='lti';
  if blk(i,2)   qqq=[qqq,'f']; else qqq=[qqq,'s']; end
  if blk(i,1)>0 qqq=[qqq,'c']; else qqq=[qqq,'r']; end
  if blk(i,2)
    block=ublock([abs(blk(i,1)) blk(i,2)],1,qqq);
  else
    block=ublock(abs(blk(i,1)),1,qqq);
  end
  blk_lmi=udiag(blk_lmi,block);
end
