function delta_vector=calc_pert(delta_matrix,blk)
%
% call:  delta_vector=calc_pert(delta_matrix,blk)
%
% The vector "delta_vector" of parametric uncertainties is deduced
% from the diagonal matrix "delta_matrix".
% The structure of the diagonal matrix is described by blk.
%
% Skew Mu Toolbox - G. Ferreres and J.M. Biannic, Onera-DCSD Toulouse, France.
%
if nargin~=2 error('CALC_PERT: 2 input arguments'); end
%
delta_vector=[];
N=1;
for i=1:size(blk,1)
  if (blk(i,1)>=0)|(blk(i,2)~=0)
    error('CALC_PERT: only real possibly repeated scalars are dealt with');
  end
  delta_vector(i)=delta_matrix(N,N);
  N=N+abs(blk(i,1));
end
