%
% See robust.m
%
% Skew Mu Toolbox - G. Ferreres and J.M. Biannic, Onera-DCSD Toulouse, France.
%
the_end_end=0;
while ~the_end_end
  epsilon=input2('Additional amount of complex uncertainties for regularization of the mu problem (0.05 means 5 \%): ',5e-2);
  if epsilon<=0
    fprintf('\n A strictly positive value please...\n');
  end
  the_end_end=(epsilon>0);
end
method=input2('method (an integer between 1 and 4 - see the help of mu_lb_with_freq.m): ',2);
[tab_mu,puls_add,tab_pert]=mu_lb_with_freq(sys_M,blk,puls,method,alfa_min,cxi_min,epsilon,1);
figure(1);
if first_time first_time=0; else hold on; end
semilogx(puls_add,tab_mu,['*',tab_c(idx_tab_c)]);
grid on;
xlabel('rad/s');
ylabel('mu');
hold off;
fprintf(['*** ',tab_c(idx_tab_c),': mu lower bound with freq. and state-space approaches, method = %i\n'],method);
idx_tab_c=idx_tab_c+1;
if idx_tab_c>length(tab_c) idx_tab_c=1; end 
%
fprintf('\n\n It may happen that the mu lower bound seems greater than the mu upper bound at a given frequency.\n');
fprintf(' This may really happen because of unavoidable numerical tolerance, but in most cases,\n');
fprintf(' if the mu upper bound is just computed on a frequency gridding\n');
fprintf(' (not a guaranteed mu upper bound over a frequency interval), this is due to the frequency gridding\n');
fprintf('  which is not fine enough !\n\n');
%
idx=find(puls_add==0);
if ~isempty(idx)
  qqq=max(tab_mu(idx));
  fprintf(' mu = %6.3f at w = 0\n',qqq);
end
[mu_max,iii]=max(tab_mu);
omega_max=puls_add(iii);
fprintf(' Maximal value of mu = %6.3f at omega = %6.3f rad/s\n',mu_max,omega_max);
%
draw_locus=input2('Draw of the root locus, associated to the smallest destabilizing model perturbation (0/1): ',1);
if draw_locus
  figure(2);
  clf;
  mu_locus(sys_M,tab_pert(:,:,iii),'r');
  sgrid(0:0.1:1,[]);
  visu_sector(2,alfa_min,cxi_min,'b');
  zoom on;
  fprintf(' Zoom is activated on figure 2\n');
end
