%
% See robust.m
%
% Skew Mu Toolbox - G. Ferreres and J.M. Biannic, Onera-DCSD Toulouse, France.
%
rep_ub=menu('Guaranteed mu upper-bound methods ',....
'mu_margin (mu.m)',...
'mu_margin (mu.m + LMI - not recommended for highly repeated uncertainties)',...
'mu_max_1 (LMI - not recommended for highly repeated uncertainties)');
%
if rep_ub==3
  [tab_beta_visu,tab_puls_visu]=mu_max_1(sys_M,blk,puls,alfa_min,cxi_min,3);
  [beta,i]=max(tab_beta_visu);
  w1=tab_puls_visu(i,1);
  w2=tab_puls_visu(i,2);
  fprintf('\n\n maximal value of the mu upper bound = %6.3f between %6.3f rad/s and %6.3f rad/s \n\n',beta,w1,w2);
else
  opt=[];
  opt.puls=puls;
  opt.smm=1;
  opt.sector=[-alfa_min cxi_min];
  opt.lmi=(rep_ub==2);
  [muub,wc,bnds,tab]=mu_margin(sys_M,blk,opt);
  fprintf('\n\n maximal value of the mu upper bound = %6.3f at %6.3f rad/s\n\n',muub,wc);
  tab_beta_visu=tab.mu;
  tab_puls_visu=tab.seg;
  if wc~=0
     w1=0.9*wc;
     w2=1.1*wc;
  else
    [beta,i]=max(tab_beta_visu);
    w1=tab_puls_visu(i,1);
    w2=tab_puls_visu(i,2);
  end
end
%
figure(1);
if first_time first_time=0; else hold on; end
plot_bar(tab_puls_visu,tab_beta_visu,'lin',tab_c(idx_tab_c));
xlabel('rad/s');
ylabel('mu');
hold off;
