function visu_sector(num_figure,alfa,cxi,color)
%
% call:  visu_sector(num_figure,alfa,cxi,color)
%
% visualisation of a sector on figure num_figure.
%
% cxi is the minimal damping ratio.
% alfa is the minimal degree of stability.
% (negative for a stable closed loop)
%
% If the LHP is considered it is not drawn.
%
% color is a single character describing the color.
%
% Skew Mu Toolbox - G. Ferreres and J.M. Biannic, Onera-DCSD Toulouse, France.
%
if nargin~=4 error('VISU_SECTOR: wrong number of input arguments'); end
%
alfa=-alfa;
%
if (alfa==0)&(cxi==0) return; end
%
figure(num_figure);
v=axis;
% 
teta=asin(cxi);
q=alfa*tan(pi/2-teta);
%
puls=[linspace(v(3),v(4),100) linspace(-q,q,20)];
puls=sort(puls);
nw=length(puls);
%
om=[];
for i=1:nw
  if (puls(i)<=q)&(puls(i)>=-q)
    om(i)=-alfa+sqrt(-1)*puls(i);
  else
    om(i)=(-tan(teta)*sign(puls(i))+sqrt(-1))*puls(i);
  end
end
hold on;
plot(real(om),imag(om),color);
hold off;
